﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Dim BLEIdFilter As String = "xx"
	Dim BLEServiceFilter As String = "yy"
	
    Dim manager As BleManager2
	
	Dim BLEId As String = ""
	Dim BLEName As String = ""
	Dim BLEService As String = ""
	Dim BLECharacteristic As String = ""

	Dim BLEReadyFlag As Boolean = False
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Sub BLEInit
	
	manager.Initialize("manager")
		
End Sub

Sub BLEScan
	
	manager.Scan(Null)
	
End Sub

Sub Manager_DeviceFound (Name As String, Id As String, AdvertisingData As Map, RSSI As Double)
	
	Log("DeviceFound Id=[" & Id & "] Name=[" & Name &"] RSSI=" & NumberFormat2(RSSI, 1, 1, 1, False))
	
	If Id.Contains(BLEIdFilter) Then    '***** PUT FILTER FOR RELAY BOARD ID HERE ***
		BLEId = Id
		BLEName = Name
		
		manager.Connect(BLEId)
		Log("Connecting to " & BLEId & "...")
	End If
	
End Sub

Sub Manager_Connected(Services As List)
	
	manager.StopScan
	
	Log("Manager_Connected, Services are:")
	
	For Each S As String In Services
		Log("  [" & S & "]")
		
		If S.Contains(BLEServiceFilter) Then
			BLEService = S
			BLEReadyFlag = True
		End If
	Next
	
End Sub

